Show / Hide Table of Contents

# AsyncMouseDragTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseDragTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseDragTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseDragAsyncHandler() |
GetOnMouseDragAsyncHandler(CancellationToken) |
OnMouseDragAsync() |
OnMouseDragAsync(CancellationToken) |

### Methods

#### GetOnMouseDragAsyncHandler()

    public IAsyncOnMouseDragHandler GetOnMouseDragAsyncHandler()

##### Returns

IAsyncOnMouseDragHandler

#### GetOnMouseDragAsyncHandler(CancellationToken)

    public IAsyncOnMouseDragHandler GetOnMouseDragAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnMouseDragHandler

#### OnMouseDragAsync()

    public UniTask OnMouseDragAsync()

##### Returns

UniTask

#### OnMouseDragAsync(CancellationToken)

    public UniTask OnMouseDragAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>